## pyro5 5.14

=== Makefile ===
.PHONY: all dist docs install upload clean test
PYTHON=python3

all:
	@echo "targets: dist, docs, upload, install, clean, test"

docs:
	$(PYTHON) setup.py build_sphinx

dist:
	$(PYTHON) setup.py sdist bdist_wheel

upload: dist
	@echo "Uploading to Pypi using twine...."
	twine upload dist/*

install:
	$(PYTHON) setup.py install

test:
	PYTHONPATH=. python3 -m pytest tests

clean:
	@echo "Removing tox dirs, logfiles, temp files, .pyo/.pyc files..."
	rm -rf .tox .eggs .cache .pytest_cache *.egg-info
	find . -name __pycache__ -print0 | xargs -0 rm -rf
	find . -name \*_log -print0 | xargs -0  rm -f
	find . -name \*.log -print0 | xargs -0  rm -f
	find . -name \*_URI -print0 | xargs -0  rm -f
	find . -name \*.pyo -print0 | xargs -0  rm -f
	find . -name \*.pyc -print0 | xargs -0  rm -f
	find . -name \*.class -print0 | xargs -0  rm -f
	find . -name \*.DS_Store -print0 | xargs -0  rm -f
	find . -name \.coverage -print0 | xargs -0  rm -f
	find . -name \coverage.xml -print0 | xargs -0  rm -f
	rm -f MANIFEST
	rm -rf build
	rm -rf dist
	rm -rf tests/test-reports
	find . -name  '.#*' -print0 | xargs -0  rm -f
	find . -name  '#*#' -print0 | xargs -0  rm -f
	@echo "clean!"

=== requirements.txt ===
serpent>=1.41

=== debian/changelog ===
pyro5 (5.14-2) unstable; urgency=medium

  * Team Upload.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 28 Feb 2023 15:56:53 -0400

pyro5 (5.14-1) experimental; urgency=low

  * Initial release. Closes: #1027802

 -- Bo YU <tsu.yubo@gmail.com>  Sun, 26 Feb 2023 21:46:38 +0800

=== debian/control ===
Source: pyro5
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/pyro5.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyro5
Homepage: https://github.com/irmen/Pyro5
Rules-Requires-Root: no
Build-Depends: debhelper-compat(= 13), python3-all
Build-Depends-Indep:
 dh-python,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-serpent <!nocheck>,
 python3-setuptools,
 python3-cloudpickle (>= 0.4.0),
 python3-dill (>= 0.2.6),
 python3-msgpack (>= 0.5.2) <!nocheck>,
 python3-pytest <!nocheck>,
Description: distributed object middleware for Python (RPC)
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python. In a distributed object system, clients send requests to
 distant servers, which owns the remote objects. Pyro simplifies a lot the
 creation of clients and servers, and has among its features:
  - dynamic and static proxies for all remote method invocations,
  - a naming service which keeps record of the location of objects,
  - mobile objects support: clients and servers can pass objects around,
  - exceptions that occur in the remote object is raised on the client too,
  - multithreaded server support to handle multiple requests simultaneously.

Package: python3-pyro5
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: python3-serpent, ${misc:Depends}, ${python3:Depends}
Conflicts: python3-pyro4
Replaces: python3-pyro4
Provides: pyro5
Suggests: pyro5-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the core Pyro5 module for Python 3.x .
 .
 The documentation is available in the pyro5-doc package.
 A lot of examples are available in the pyro5-examples package.

Package: pyro5-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Suggests: pyro5
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery, libjs-underscore
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the documentation files for the pyro5 package.

Package: pyro5-examples
Architecture: all
Depends: ${misc:Depends}, pyro5
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains some examples for the pyro5 package.

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-all, python3-pytest, python3-msgpack
Restrictions: allow-stderr

## pyro5 5.15

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	@echo "targets: dist, docs, upload, install, clean, test"
 
 docs:
-	$(PYTHON) setup.py build_sphinx
+	sphinx-build docs/source build/docs
 
 dist:
 	$(PYTHON) setup.py sdist bdist_wheel

=== debian/changelog ===
pyro5 (5.15-1) unstable; urgency=medium

  * Acknowledge for previous NMU
  * New upstream version 5.15
  * Add debian/gbp.conf
  * Set std-ver to 4.7.0
  * Update manpage

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 29 May 2024 19:59:15 +0800

pyro5 (5.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:40:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Bo YU <tsu.yubo@gmail.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyro5.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyro5
 Homepage: https://github.com/irmen/Pyro5
@@ -19,6 +19,7 @@
  python3-dill (>= 0.2.6),
  python3-msgpack (>= 0.5.2) <!nocheck>,
  python3-pytest <!nocheck>,
+ help2man,
 Description: distributed object middleware for Python (RPC)
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
  system for Python. In a distributed object system, clients send requests to

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pyro5

DOCDIR=$(CURDIR)/debian/pyro5-doc/usr/share/doc/pyro5-doc/
EXAMPLESDIR=$(CURDIR)/debian/pyro5-examples/usr/share/doc/pyro5/examples/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	$(RM) -r $(CURDIR)/Pyro5.egg-info/
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/docs/ && $(MAKE) html

# disable test during build due to network access
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs

override_dh_fixperms:
	find $(EXAMPLESDIR) -type f -exec chmod a-x {} \;
	dh_fixperms

override_dh_installinit:
	dh_installinit -ppython3-pyro5 --name=pyro5-ns --no-enable

override_dh_installsystemd:
	dh_installsystemd --name=pyro5-ns --no-enable --no-start

.PHONY: override_dh_auto_clean override_dh_auto_build \
	override_dh_installdocs override_dh_fixperms

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/i,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i \
https://github.com/irmen/Pyro5/tags \
(?:|.*/)[vV]?(\d\S*)@ARCHIVE_EXT@

## pyro5 5.16

=== docs/requirements.txt ===
serpent
sphinx>7.0.0
sphinx_rtd_theme>=1.2
sphinxcontrib-jquery

=== debian/changelog ===
pyro5 (5.16-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/tests/pytest: Ignore test_naming.py test and testGetIP, seems they
    need internet connection.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 31 Dec 2025 20:46:02 -0300

=== debian/control ===
Source: pyro5
Standards-Version: 4.7.3
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Bo YU <tsu.yubo@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat(= 13),
 python3-all,
Build-Depends-Indep:
 dh-sequence-python3,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-serpent <!nocheck>,
 python3-setuptools,
 python3-cloudpickle,
 python3-dill,
 python3-msgpack <!nocheck>,
 python3-pytest <!nocheck>,
 help2man,
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyro5
Vcs-Git: https://salsa.debian.org/python-team/packages/pyro5.git
Homepage: https://github.com/irmen/Pyro5
Rules-Requires-Root: no
Description: distributed object middleware for Python (RPC)
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python. In a distributed object system, clients send requests to
 distant servers, which owns the remote objects. Pyro simplifies a lot the
 creation of clients and servers, and has among its features:
  - dynamic and static proxies for all remote method invocations,
  - a naming service which keeps record of the location of objects,
  - mobile objects support: clients and servers can pass objects around,
  - exceptions that occur in the remote object is raised on the client too,
  - multithreaded server support to handle multiple requests simultaneously.

Package: python3-pyro5
Architecture: all
Depends:
 python3-serpent,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 pyro5-doc,
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 python3-pyro4,
Provides:
 pyro5,
Replaces:
 python3-pyro4,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the core Pyro5 module for Python 3.x .
 .
 The documentation is available in the pyro5-doc package.
 A lot of examples are available in the pyro5-examples package.

Package: pyro5-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-jquery,
 libjs-underscore,
Suggests:
 pyro5,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the documentation files for the pyro5 package.

Package: pyro5-examples
Architecture: all
Depends:
 ${misc:Depends},
 pyro5,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains some examples for the pyro5 package.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 EXAMPLESDIR=$(CURDIR)/debian/pyro5-examples/usr/share/doc/pyro5/examples/
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	$(RM) -r $(CURDIR)/Pyro5.egg-info/
